Remove Global Endpoint (V2)
Disbands the Global Cluster endpoint after all secondary clusters have been removed. The remaining primary cluster continues as a regular dedicated cluster.
POST/v2/globalClusters/{globalClusterId}/removeGlobalEndpoint
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
📘Notes
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired
The authentication token should be an API key with appropriate privileges.
Example Value: Bearer {{TOKEN}}
globalClusterIdstringpathrequired
ID of the Global Cluster.
Example Value: glo-xxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"
curl --request POST \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/removeGlobalEndpoint" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json
oldGlobalClusterIdstring
ID of the removed Global Cluster endpoint.
Example Value: glo-xxxxxxxxxxxxxxx
Returns an error message.
codeinteger
Response code.
Example Value: 400
messagestring
Error message.
Example Value: Invalid request parameters.
{
"oldGlobalClusterId": "glo-xxxxxxxxxxxxxxx"
}